summaryrefslogtreecommitdiffstats
path: root/development/grails
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2010-05-13 00:57:54 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:57:54 +0200
commit15dbc485b096d4d796e9b10103be6befe4c8e1fc (patch)
tree26883030262706269d255c95b4ae06d27b9dcf25 /development/grails
parent39229a5cfab0d4bd5e1d6382d4bd400c3b30ea44 (diff)
downloadslackbuilds-15dbc485b096d4d796e9b10103be6befe4c8e1fc.tar.gz
slackbuilds-15dbc485b096d4d796e9b10103be6befe4c8e1fc.tar.xz
development/grails: Added to 13.0 repository
Diffstat (limited to 'development/grails')
-rw-r--r--development/grails/README9
-rw-r--r--development/grails/doinst.sh16
-rw-r--r--development/grails/grails.SlackBuild87
-rw-r--r--development/grails/grails.csh.new4
-rw-r--r--development/grails/grails.info10
-rw-r--r--development/grails/grails.sh.new4
-rw-r--r--development/grails/slack-desc19
7 files changed, 149 insertions, 0 deletions
diff --git a/development/grails/README b/development/grails/README
new file mode 100644
index 0000000000..017012e0b5
--- /dev/null
+++ b/development/grails/README
@@ -0,0 +1,9 @@
+Grails (Groovy on Rails)
+Web framework based on the Groovy
+
+It is intended to be a high-productivity framework by following
+the "coding by convention" paradigm, providing a stand-alone
+development environment and hiding much of the configuration
+detail from the developer.
+
+This requires jdk from /extra/jdk-6/.
diff --git a/development/grails/doinst.sh b/development/grails/doinst.sh
new file mode 100644
index 0000000000..01d8958fde
--- /dev/null
+++ b/development/grails/doinst.sh
@@ -0,0 +1,16 @@
+# Handle configuration files
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+# List of configuration files (they should end in .new)
+
+config etc/profile.d/grails.sh.new
+config etc/profile.d/grails.csh.new
diff --git a/development/grails/grails.SlackBuild b/development/grails/grails.SlackBuild
new file mode 100644
index 0000000000..85744d366a
--- /dev/null
+++ b/development/grails/grails.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for grails
+
+# Copyright (c) 2010, Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# This script is just a binary repackaging.
+
+PRGNAM=grails
+VERSION=${VERSION:-1.2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="INSTALL LICENSE README doc samples"
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "athlonxp" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Putting everyting in place
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+cp -R {ant,bin,conf,cruise,dist,lib,media,plugins,scripts,src,build.properties,build.xml} \
+ $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+mkdir -p $PKG/etc/profile.d
+cp $CWD/grails.{csh,sh}.new $PKG/etc/profile.d/
+sed -i "s|GRAILS_INSTALL_PATH|/usr/lib$LIBDIRSUFFIX/$PRGNAM|" \
+ $PKG/etc/profile.d/grails.{csh,sh}.new
+chmod a+x $PKG/etc/profile.d/grails.*
+
+# Removing unnecessary files
+rm $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM/bin/*.bat
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -ar $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/grails/grails.csh.new b/development/grails/grails.csh.new
new file mode 100644
index 0000000000..2b8bc53f10
--- /dev/null
+++ b/development/grails/grails.csh.new
@@ -0,0 +1,4 @@
+#!/bin/csh
+
+setenv GRAILS_HOME GRAILS_INSTALL_PATH
+setenv PATH ${PATH}:${GRAILS_HOME}/bin
diff --git a/development/grails/grails.info b/development/grails/grails.info
new file mode 100644
index 0000000000..8abb2aea11
--- /dev/null
+++ b/development/grails/grails.info
@@ -0,0 +1,10 @@
+PRGNAM="grails"
+VERSION="1.2.0"
+HOMEPAGE="http://www.grails.org/"
+DOWNLOAD="http://dist.codehaus.org/grails/grails-1.2.0.zip"
+MD5SUM="2eadcacff53bc327d162a449fe5ca2f7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="DhabyX"
+EMAIL="slack.dhabyx@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/development/grails/grails.sh.new b/development/grails/grails.sh.new
new file mode 100644
index 0000000000..81dc12933c
--- /dev/null
+++ b/development/grails/grails.sh.new
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+export GRAILS_HOME=GRAILS_INSTALL_PATH
+export PATH="${PATH}:${GRAILS_HOME}/bin"
diff --git a/development/grails/slack-desc b/development/grails/slack-desc
new file mode 100644
index 0000000000..bf77bb5948
--- /dev/null
+++ b/development/grails/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+grails: Grails (Groovy on Rails)
+grails: Web framework based on the Groovy
+grails:
+grails: It is intended to be a high-productivity framework by following
+grails: the "coding by convention" paradigm, providing a stand-alone
+grails: development environment and hiding much of the configuration
+grails: detail from the developer.
+grails:
+grails:
+grails: http://www.grails.org/
+grails: